package tech.riemann.ims.dto.request;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import tech.riemann.ims.enums.ReviewResultEnum;

/**
 * @author mayong
 * @since 2024/12/9 20:20
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ReviewDTO {

    @Schema(description = "申请单")
    private String applyId;

    @Schema(description = "审核意见")
    private String remark;

    @Schema(description = "审核结果")
    private ReviewResultEnum reviewResult;
}
