package tech.riemann.ims.dto.response;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import tech.riemann.ims.entity.material.StocktakingScanExceptionalData;

import java.util.List;

/**
 * @author mayong
 * @since 2024/12/8 19:02
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ComparisonResDTO {

    @Schema(description = "差异数据")
    private List<StocktakingScanExceptionalData> exceptionalData;

    @Schema(description = "库存明细")
    private List<StockDetailInfo>   details;

}
