package tech.riemann.ims.dto.response;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author mayong
 * @since 2024/12/11 14:07
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class WaitScanInfo {

    @Schema(description = "物料名称")
    private String materialName;

    @Schema(description = "物料数量")
    private Integer count;
}
