package tech.riemann.ims.service.material;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import org.nutz.spring.boot.service.interfaces.IdNameEntityService;
import tech.riemann.ims.dto.response.ApplyDTO;
import tech.riemann.ims.entity.material.ApplyForm;

/**
 * @author mayong
 * @since 2024/11/28 15:35
 */
public interface IApplyFormService extends IService<ApplyForm>, IdNameEntityService<ApplyForm> {

    /**
     *
     * @param page 页码
     * @param size 每页数量
     * @param applyType 申请类型
     * @param type 申请材料类型
     * @param code 申请材料编码
     * @param name 申请材料名称
     * @return IPage<ApplyDTO>
     */
    IPage<ApplyDTO> search(int page, int size, Integer applyType, String type, String code, String name);
}
